package vn.hus.nlp.fsm.io;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.OutputStream;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

import vn.hus.nlp.fsm.FSM;
import vn.hus.nlp.fsm.State;
import vn.hus.nlp.fsm.Transition;
import vn.hus.nlp.fsm.jaxb.Fsm;
import vn.hus.nlp.fsm.jaxb.ObjectFactory;
import vn.hus.nlp.fsm.jaxb.S;
import vn.hus.nlp.fsm.jaxb.States;
import vn.hus.nlp.fsm.jaxb.T;
import vn.hus.nlp.fsm.jaxb.Transitions;

public class FSMMarshaller
{
  private JAXBContext jaxbContext;
  private Marshaller marshaller;

  public FSMMarshaller()
  {
    createContext();
  }

  private void createContext()
  {
    this.jaxbContext = null;
    try
    {
      this.jaxbContext = JAXBContext.newInstance("vn.hus.nlp.fsm.jaxb");
    }
    catch (JAXBException localJAXBException)
    {
      localJAXBException.printStackTrace();
    }
  }

  private Marshaller getMarshaller()
  {
    if (this.marshaller == null)
      try
      {
        this.marshaller = this.jaxbContext.createMarshaller();
        this.marshaller.setProperty("jaxb.encoding", "utf-8");
        this.marshaller.setProperty("jaxb.formatted.output", Boolean.TRUE);
      }
      catch (JAXBException localJAXBException)
      {
        localJAXBException.printStackTrace();
      }
    return this.marshaller;
  }

  private Fsm createFsm(FSM paramFSM, String paramString)
  {
    getMarshaller();
    ObjectFactory localObjectFactory = new ObjectFactory();
    Fsm localFsm = localObjectFactory.createFsm();
    localFsm.setName(paramString);
    States localStates = localObjectFactory.createStates();
    localFsm.setStates(localStates);
    Transitions localTransitions = localObjectFactory.createTransitions();
    localFsm.setTransitions(localTransitions);
    Map<Integer, State> localMap = paramFSM.getStates();
    Iterator<Integer> localIterator1 = localMap.keySet().iterator();
    while (localIterator1.hasNext())
    {
      Integer localInteger = localIterator1.next();
      State localState = localMap.get(localInteger);
      S localS = localObjectFactory.createS();
      localS.setId(localInteger.intValue());
      localS.setType(localState.getType());
      localStates.getS().add(localS);
      List<Transition> localList = localState.getOutTransitions();
      Iterator<Transition> localIterator2 = localList.iterator();
      while (localIterator2.hasNext())
      {
        Transition localTransition = localIterator2.next();
        T localT = localObjectFactory.createT();
        localT.setSrc(localTransition.getSource());
        localT.setTar(localTransition.getTarget());
        localT.setInp("" + localTransition.getInput());
        if (localTransition.getOutput() != "")
          localT.setOut("" + localTransition.getOutput());
        localTransitions.getT().add(localT);
      }
    }
    return localFsm;
  }

  public void marshal(FSM paramFSM, String paramString)
  {
    Fsm localFsm = createFsm(paramFSM, paramString);
    try
    {
      this.marshaller.marshal(localFsm, new FileOutputStream(new File(paramString)));
    }
    catch (JAXBException localJAXBException)
    {
      localJAXBException.printStackTrace();
    }
    catch (FileNotFoundException localFileNotFoundException)
    {
      localFileNotFoundException.printStackTrace();
    }
  }

  public void marshal(FSM paramFSM, OutputStream paramOutputStream)
  {
    Fsm localFsm = createFsm(paramFSM, "sample_fsm");
    try
    {
      this.marshaller.marshal(localFsm, paramOutputStream);
    }
    catch (JAXBException localJAXBException)
    {
      localJAXBException.printStackTrace();
    }
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.fsm-1.0.0.jar
 * Qualified Name:     vn.hus.nlp.fsm.io.FSMMarshaller
 * JD-Core Version:    0.6.0
 */