package vn.hus.nlp.fsm.test;

import java.io.PrintStream;
import vn.hus.nlp.fsm.builder.FSMBuilder;
import vn.hus.nlp.fsm.builder.MinimalFSMBuilder;
import vn.hus.nlp.fsm.util.FSMUtilities;

public class MinimalDFAClient
{
  public static String ENGLISH_LEXICON_TXT = "samples/dicts/en/en.txt";
  public static String ENGLISH_LEXICON_XML = "samples/dicts/en/en.xml";
  public static String FRENCH_LEXICON_TXT = "samples/dicts/fr/fr.txt";
  public static String FRENCH_LEXICON_XML = "samples/dicts/fr/fr.xml";
  public static String VIETNAMESE_LEXICON_TXT = "samples/dicts/vn/vn.txt";
  public static String VIETNAMESE_LEXICON_XML = "samples/dicts/vn/vn.xml";

  public static void createMinimalDFA(String paramString1, String paramString2)
  {
    MinimalFSMBuilder localMinimalFSMBuilder = new MinimalFSMBuilder("DFA");
    localMinimalFSMBuilder.create(paramString1);
    localMinimalFSMBuilder.encode(paramString2);
    FSMUtilities.statistic(localMinimalFSMBuilder.getMachine());
    localMinimalFSMBuilder.dispose();
  }

  public static void createMinimalEnglishDFA()
  {
    System.out.println("Encode English lexicon...");
    createMinimalDFA(ENGLISH_LEXICON_TXT, ENGLISH_LEXICON_XML);
  }

  public static void createMinimalFrenchDFA()
  {
    System.out.println("Encode French lexicon...");
    createMinimalDFA(FRENCH_LEXICON_TXT, FRENCH_LEXICON_XML);
  }

  public static void createMinimalVietnameseDFA()
  {
    System.out.println("Encode Vietnamese lexicon...");
    createMinimalDFA(VIETNAMESE_LEXICON_TXT, VIETNAMESE_LEXICON_XML);
  }

  public static void main(String[] paramArrayOfString)
  {
    createMinimalVietnameseDFA();
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.fsm-1.0.0.jar
 * Qualified Name:     vn.hus.nlp.fsm.test.MinimalDFAClient
 * JD-Core Version:    0.6.0
 */