package vn.hus.nlp.utils;

import java.io.PrintStream;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Random;
import java.util.Set;

public class RandomSelector<T>
{
  private List<T> selectedElements = new ArrayList();
  private List<T> unselectedElements;

  public RandomSelector(List<T> paramList, int paramInt)
  {
    select(paramList, paramInt);
  }

  private void select(List<T> paramList, int paramInt)
  {
    if (paramInt > paramList.size())
    {
      System.err.println("Error. The size of dataset is less than " + paramInt);
      System.err.println();
      return;
    }
    this.unselectedElements = new ArrayList(paramList);
    HashSet localHashSet = new HashSet();
    for (int i = 0; i < paramList.size(); i++)
      localHashSet.add(Integer.valueOf(i));
    Random localRandom = new Random();
    for (int k = 0; k < paramInt; k++)
    {
      int m = 0;
      do
      {
        int j = localRandom.nextInt(paramList.size());
        if (!localHashSet.contains(Integer.valueOf(j)))
          continue;
        this.selectedElements.add(paramList.get(j));
        this.unselectedElements.remove(paramList.get(j));
        localHashSet.remove(Integer.valueOf(j));
        m = 1;
      }
      while (m == 0);
    }
  }

  public List<T> getSelectedElements()
  {
    return this.selectedElements;
  }

  public List<T> getUnselectedElements()
  {
    return this.unselectedElements;
  }

  public static void main(String[] paramArrayOfString)
  {
    ArrayList localArrayList = new ArrayList();
    for (int i = 0; i < 20; i++)
      localArrayList.add(Integer.valueOf(i));
    RandomSelector localRandomSelector = new RandomSelector(localArrayList, 5);
    System.out.println("Selected elements = ");
    System.out.println(localRandomSelector.getSelectedElements());
    System.out.println("Unselected elements = ");
    System.out.println(localRandomSelector.getUnselectedElements());
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.utils-1.0.0.jar
 * Qualified Name:     vn.hus.nlp.utils.RandomSelector
 * JD-Core Version:    0.6.0
 */